Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	An open source cryptography library.
Name: 		beecrypt
Version: 	4.1.2
Release: 	1
Group: 		System/Libraries
License: 	LGPL
URL: 		http://sourceforge.net/projects/beecrypt
Source0: 	%{name}-%{version}.tar.gz
BuildPreReq: 	doxygen
BuildRequires: 	autoconf automake libtool gcc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%define with_python 0
%define with_python_version 2.3

%description
Beecrypt is a general-purpose cryptography library.

%package devel
Summary: 	Files needed for developing applications with beecrypt.
Group: 		System/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
Beecrypt is a general-purpose cryptography library.  This package contains
files needed for developing applications with beecrypt.

%prep
%setup -n %{name}-%{version}
./autogen.sh

%build

./configure --prefix=%{_prefix} --mandir=%{_mandir}  --without-python 

#getting rid of a gcc>=4.0 flag
export var="`find ./ -name Makefile`"
for i in $var
do
 sed -i "s#-fvisibility-inlines-hidden##" ${i}
done


make
doxygen

%install
rm -fr $RPM_BUILD_ROOT
pwd
make install DESTDIR=$RPM_BUILD_ROOT

# XXX nuke unpackaged files, artifacts from using libtool to produce module
rm -f ${RPM_BUILD_ROOT}%{_libdir}/python%{with_python_version}/site-packages/_bc.*a
pwd

# XXX delete next line to build with legacy, non-check aware, rpmbuild.
#%check
#make check || :
#cat /proc/cpuinfo
#make bench || :


%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README BENCHMARKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc BUGS docs/html docs/latex
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%if %{with_python}
%files python
%defattr(-,root,root)
%{_libdir}/python%{with_python_version}/site-packages/_bc.so
%endif

%changelog
* Mon Jun 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.1.2-1
- Version Update to 4.1.2, fixed configure 
* Mon Jun 27 2005 Christian Metzen <metzench@ccux-linux.de> 3.1.0-3
- Adjusted Specfile more CCux like, fixed major Bugs
* Wed Jun 22 2005 Andreas Roth <aroth@arsoft-online.com> 3.1.0-2
- rebuild beecrypt
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 3.1.0-1
- Initial Release
